/*
 * $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap/wms/DefaultWmsLayerStyle.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
 *
 * Copyright 2001-2005 OBR Centrum Techniki Morskiej, All rights reserved.
 *
 */
package com.bbn.openmap.wms;


/**
 * @version $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap/wms/DefaultWmsLayerStyle.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
 * @author pitek
 */
public class DefaultWmsLayerStyle implements IWmsLayerStyle {

    //~ Static variables/initializers ----------------------------------------------------------------------------------

    //~ Instance variables ---------------------------------------------------------------------------------------------

    private final String name;
    private final String title;
    private final String styleAbstract;

    //~ Constructors ---------------------------------------------------------------------------------------------------

    /**
     * Creates a new instance of DefaultWmsLayerStyle
     *
     * @param name
     * @param title
     * @param styleAbstract
     */
    public DefaultWmsLayerStyle(String name, String title, String styleAbstract) {
        this.name = name;
        this.title = title;
        this.styleAbstract = styleAbstract;
    }

    //~ Methods --------------------------------------------------------------------------------------------------------

    /**
     * @return
     */
    public String getTitle() {
        return title;
    }

    /**
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * @return
     */
    public String getAbstract() {
        return styleAbstract;
    }
}
