/*
 * $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap/wms/IWmsLayer.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
 *
 * Copyright 2001-2005 OBR Centrum Techniki Morskiej, All rights reserved.
 *
 */
package com.bbn.openmap.wms;

/**
 * @version $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap/wms/IWmsLayer.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
 * @author pitek
 */
public interface IWmsLayer {

    //~ Methods --------------------------------------------------------------------------------------------------------

    /**
     * @return
     */
    public String getTitle();

    /**
     * @return
     */
    public String getName();

    /**
     * @return
     */
    public String getAbstract();

    /**
     * @return
     */
    public String getKeywordList();

    /**
     * @return
     */
    public boolean isQueryable();

    /**
     * @return
     */
    public boolean isCascaded();

    /**
     * @return
     */
    public boolean isOpaque();

    /**
     * @return
     */
    public boolean isNoSubsets();

    /**
     * @return
     */
    public int getFixedWidth();

    /**
     * @return
     */
    public int getFixedHeight();

    /**
     * @return
     */
    public IWmsLayerStyle[] getStyles();

    /**
     * Ustawia styl w warstwie.
     *
     * @param name
     */
    public void setStyle(String name);

    /**
     * @param name
     */
    public boolean isStyleSupported(String name);

    /**
     */
    public void setDefaultStyle();
}
